## com.rbnb.sapi
Class ChannelTree.NodeTypeEnum

    java.lang.Object
      com.rbnb.sapi.ChannelTree.NodeTypeEnum

All Implemented Interfaces:
  Serializable

Enclosing class:
  ChannelTree

    public static class ChannelTree.NodeTypeEnum

extends Object
implements Serializable

Enumerated type for various channel node types. TODO: Not atomically equal after serialization.

See Also:
  Serialized Form

Method Summary
`String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`